import math

def euclid_sim(q_val: float, c_val: float) -> float:
    e_dist = lambda x, y: math.sqrt((x - y)**2)
    return 1 / (1 + e_dist(q_val, c_val))

def symbolic_sim(q_field_name: str, c_field_name: str, sim_matrix: dict) -> float:
    return sim_matrix[q_field_name][c_field_name]